/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xml.bind.valueobject;

/**
 * SAXイベントのうち Locatorを記憶します。このクラスは XML/バリューオブジェクトマッピング (X/Oマッピング) blancoXmlBinding の一部です。
 */
public class BlancoXmlLocator {
    /**
     * フィールド [publicId]
     *
     * 項目の型 [java.lang.String]<br>
     * 文書イベントの公開識別子。
     */
    private String fPublicId;

    /**
     * フィールド [systemId]
     *
     * 項目の型 [java.lang.String]<br>
     * 文書イベントのシステム識別子。
     */
    private String fSystemId;

    /**
     * フィールド [lineNumber]
     *
     * 項目の型 [int]<br>
     * 規定値   [-1]<br>
     * 文書イベントが終了する行番号。
     */
    private int fLineNumber = -1;

    /**
     * フィールド [columnNumber]
     *
     * 項目の型 [int]<br>
     * 規定値   [-1]<br>
     * 文書イベントが終了する列番号。
     */
    private int fColumnNumber = -1;

    /**
     * フィールド [publicId]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 文書イベントの公開識別子。
     *
     * @param argPublicId フィールド[publicId]に格納したい値
     */
    public void setPublicId(final String argPublicId) {
        fPublicId = argPublicId;
    }

    /**
     * フィールド[publicId]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 文書イベントの公開識別子。
     *
     * @return フィールド[publicId]に格納されている値
     */
    public String getPublicId() {
        return fPublicId;
    }

    /**
     * フィールド [systemId]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 文書イベントのシステム識別子。
     *
     * @param argSystemId フィールド[systemId]に格納したい値
     */
    public void setSystemId(final String argSystemId) {
        fSystemId = argSystemId;
    }

    /**
     * フィールド[systemId]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 文書イベントのシステム識別子。
     *
     * @return フィールド[systemId]に格納されている値
     */
    public String getSystemId() {
        return fSystemId;
    }

    /**
     * フィールド [lineNumber]のセッターメソッド
     *
     * 項目の型 [int]<br>
     * 文書イベントが終了する行番号。
     *
     * @param argLineNumber フィールド[lineNumber]に格納したい値
     */
    public void setLineNumber(final int argLineNumber) {
        fLineNumber = argLineNumber;
    }

    /**
     * フィールド[lineNumber]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     * 規定値   [-1]<br>
     * 文書イベントが終了する行番号。
     *
     * @return フィールド[lineNumber]に格納されている値
     */
    public int getLineNumber() {
        return fLineNumber;
    }

    /**
     * フィールド [columnNumber]のセッターメソッド
     *
     * 項目の型 [int]<br>
     * 文書イベントが終了する列番号。
     *
     * @param argColumnNumber フィールド[columnNumber]に格納したい値
     */
    public void setColumnNumber(final int argColumnNumber) {
        fColumnNumber = argColumnNumber;
    }

    /**
     * フィールド[columnNumber]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     * 規定値   [-1]<br>
     * 文書イベントが終了する列番号。
     *
     * @return フィールド[columnNumber]に格納されている値
     */
    public int getColumnNumber() {
        return fColumnNumber;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xml.bind.valueobject.BlancoXmlLocator[");
        buf.append("publicId=" + fPublicId);
        buf.append(",systemId=" + fSystemId);
        buf.append(",lineNumber=" + fLineNumber);
        buf.append(",columnNumber=" + fColumnNumber);
        buf.append("]");
        return buf.toString();
    }
}
